<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="t('for_you.for_you_menu_title')"
  class="ion-page"
>
  <div class="content-spacing-medium-medium flex-list-minor-min">
    <ion-list-header class="category-text">{{
      t('for_you.menu_tell_me_topics')
    }}</ion-list-header>
    <div *ngIf="isLoadingModulePreferences">
      <lib-skeleton-settings [skeletonCount]="4"></lib-skeleton-settings>
    </div>
    <div *ngIf="!isLoadingModulePreferences" class="flex-list-small">
      <ion-list
        *ngFor="let menuItemGroup of menuItemGroups"
        class="flex-list-small"
      >
        <lib-checkbox-setting
          (checkedChange)="toggleChanged(feature, $event)"
          *ngFor="let feature of menuItemGroup.menuItems"
          [checked]="toggleStates[feature.baseRoutingPath]"
          localizedTitle="{{ t(feature.title) }}"
        ></lib-checkbox-setting>
      </ion-list>
    </div>
  </div>
</lib-condensed-header-layout>
